package PRFramework.Core.SupervisedClassifiers.EmergingPatterns.Miners;

import weka.core.OptionMetadata;

import java.io.Serializable;

public  abstract class OneClassRandomForestMiner extends TreeBasedMinerWithoutFiltering implements Serializable {
    private String NegativeClassLabel;

    @OptionMetadata(displayName = "negativeClassLabel",
            description = "Negative class label.",
            commandLineParamName = "negativeClassLabel",
            commandLineParamSynopsis = "-negativeClassLabel <string>", displayOrder = 3)

    public String getNegativeClassLabel() {
        return NegativeClassLabel;
    }

    public void setNegativeClassLabel(String negativeClassLabel) {
        NegativeClassLabel = negativeClassLabel;
    }
}
