/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package PRFramework.LeoExperimenter;

import java.io.*;
import java.util.ArrayList;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 *
 * @author canet
 */
public class RunParallel {
    public static void main(String[] args) throws FileNotFoundException, IOException {
        File file = new File("C:\\Users\\canet\\Desktop\\OCC_FromTavo");
        String[] datasets = file.list((current, name) -> new File(current, name).isDirectory());
        //datasets = new String[]{"iris0"};
        ExecutorService exec = Executors.newFixedThreadPool(3);
        try {
            for (String ds : datasets) {
                for (int i = 1; i <= 5; i++) {
                    String[] runArgs = new String[2];
                    runArgs[0] = ds;
                    runArgs[1] = Integer.toString(i);
                    //System.out.println(runArgs[0]);
                    exec.submit(new Runnable(){
                        @Override
                        public void run(){
                            
                            try {
                                Program.main(runArgs);
                            } catch (Exception e) {
                                System.out.println("FAIL:" + runArgs[0] +", "+ runArgs[1]);
                                System.out.println(e);
                            }
                        }
                    });                    
                }

            }
            
        } catch (Exception e) {
        } finally {
            exec.shutdown();
        }

    }
}
